package com.engine.salary.component;

import com.cloudstore.eccom.pc.table.WeaTableColumn;
import lombok.Data;

import java.util.List;

@Data
public class WeaTableColumnGroup extends WeaTableColumn {

    /**
     * 锁定状态
     */
    private String lockStatus;

    /**
     * 保留小数位数
     */
    private Integer pattern;

    /**
     * 字段类型
     */
    private String dataType;

    private List<WeaTableColumnGroup> children;

    public WeaTableColumnGroup() {
    }

    public WeaTableColumnGroup(String width, String text, String column) {
        super(width, text, column);
        this.pattern = 0;
    }

    public WeaTableColumnGroup(String width, String text, String column, String lockStatus) {
        super(width, text, column);
        this.lockStatus = lockStatus;
        this.pattern = 0;
    }

    public WeaTableColumnGroup(String width, String text, String column, String lockStatus, Integer pattern) {
        super(width, text, column);
        this.lockStatus = lockStatus;
        this.pattern = pattern;
    }

    public WeaTableColumnGroup(String width, String text, String column, String lockStatus, Integer pattern, String dataType) {
        super(width, text, column);
        this.lockStatus = lockStatus;
        this.pattern = pattern;
        this.dataType = dataType;
    }


    public WeaTableColumnGroup(String width, String text, String column, List<WeaTableColumnGroup> children) {
        super(width, text, column);
        this.children = children;
        this.pattern = 0;
    }

    public WeaTableColumnGroup(String width, String text, String column, List<WeaTableColumnGroup> children, String lockStatus) {
        super(width, text, column);
        this.children = children;
        this.lockStatus = lockStatus;
        this.pattern = 0;
    }
}
